# SubEditServerEvent (SubServers.Sync)

net.ME1312.SubServers.Sync.Event

## Class SubEditServerEvent

- java.lang.Object
- - net.md_5.bungee.api.plugin.Event
  - - net.ME1312.SubServers.Sync.Event.SubEditServerEvent

All Implemented Interfaces:
  SubEvent

    public class SubEditServerEvent
    extends net.md_5.bungee.api.plugin.Event
    implements SubEvent

Server Edit Event

### Constructor Summary

Constructors
Constructor and Description
`SubEditServerEvent(java.util.UUID player, java.lang.String server, NamedContainer<java.lang.String,?> edit, boolean permanent)` Server Edit Event

### Method Summary

All Methods Instance Methods Concrete Methods
`NamedContainer<java.lang.String,YAMLValue>` `getEdit()` Gets the edit to be made
`java.util.UUID` `getPlayer()` Gets the player that triggered the Event
`java.lang.String` `getServer()` Gets the Server to be Edited
`boolean` `isPermanent()` Gets if the edit is permanent

### Methods inherited from class net.md_5.bungee.api.plugin.Event

`postCall`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubEditServerEvent

    public SubEditServerEvent(java.util.UUID player,
                              java.lang.String server,
                              NamedContainer<java.lang.String,?> edit,
                              boolean permanent)

Server Edit Event

Parameters:
  `player` - Player Adding Server
  `server` - Server to be Edited
  `edit` - Edit to make
  `permanent` - If the change is permanent

### Method Detail

#### getServer

    public java.lang.String getServer()

Gets the Server to be Edited

Returns:
  The Server to be Edited

#### getPlayer

    public java.util.UUID getPlayer()

Gets the player that triggered the Event

Returns:
  The Player that triggered this Event or null if Console

#### getEdit

    public NamedContainer<java.lang.String,YAMLValue> getEdit()

Gets the edit to be made

Returns:
  Edit to be made

#### isPermanent

    public boolean isPermanent()

Gets if the edit is permanent

Returns:
  Permanent Status